//
// enzensberger konrad
//

#include "ElevationRunnerPlugin.h"

namespace Marble
{

class ElevationRunnerPlugin::Private
{
public:
    QStringList m_supportedCelestialBodies;

    bool m_canWorkOffline;

    Private();
};

ElevationRunnerPlugin::Private::Private()
    : m_canWorkOffline( true )
{
    // nothing to do
}

ElevationRunnerPlugin::ElevationRunnerPlugin( QObject* parent ) :
    QObject( parent ),
    d( new Private )
{
}

ElevationRunnerPlugin::~ElevationRunnerPlugin()
{
    delete d;
}

QIcon ElevationRunnerPlugin::icon() const
{
    return QIcon();
}

bool ElevationRunnerPlugin::supportsCelestialBody( const QString &celestialBodyId ) const
{
    if ( d->m_supportedCelestialBodies.isEmpty() ) {
        return true;
    }

    return d->m_supportedCelestialBodies.contains( celestialBodyId );
}

void ElevationRunnerPlugin::setSupportedCelestialBodies( const QStringList &celestialBodies )
{
    d->m_supportedCelestialBodies = celestialBodies;
}

void ElevationRunnerPlugin::setCanWorkOffline( bool canWorkOffline )
{
    d->m_canWorkOffline = canWorkOffline;
}

bool ElevationRunnerPlugin::canWorkOffline() const
{
    return d->m_canWorkOffline;
}

bool ElevationRunnerPlugin::canWork() const
{
    return true;
}

}

#include "moc_ElevationRunnerPlugin.cpp"
