/******************************************************************************************************************
 *	@file			MvComboBox.h
 *	@copyright		2010 Rohde&Schwarz, Munich
 *	@version		$Header: MvComboBox.h   
 *	22 Dezember 2011 16:49:35  enzensbe $
 *
 *	@author			Konrad Enzensberger		e.konrad@mpegcode.com
 *	@responsible	KOnrad Enzensberger
 * 
 *	@language		C++ ANSI V3
 *
 *	@description 	This file defines the MapView combo box for layer settings.
 *					
 *					
 *****************************************************************************************************************/
#ifndef MVPENSTYLECOMBOBOX_H
#define MVPENSTYLECOMBOBOX_H

#include <QComboBox>

namespace Marble
{

class MvPenStyleComboBox : public QComboBox
{
  public:
    MvPenStyleComboBox( QWidget* parent = NULL,int width=32 );

    Qt::PenStyle penStyle() const;

    void setPenStyle( Qt::PenStyle style );

  protected:
    QIcon iconForPen( Qt::PenStyle style );

};
//GUI_EXPORT
class  MvPenJoinStyleComboBox : public QComboBox
{
  public:
    MvPenJoinStyleComboBox( QWidget* parent = NULL );

    Qt::PenJoinStyle penJoinStyle() const;

    void setPenJoinStyle( Qt::PenJoinStyle style );
};

class MvPenCapStyleComboBox : public QComboBox
{
  public:
    MvPenCapStyleComboBox( QWidget* parent = NULL );

    Qt::PenCapStyle penCapStyle() const;

    void setPenCapStyle( Qt::PenCapStyle style );
};

}//namespace marble

#endif