/*******************************************************************************
* @file			TreeViewProxyModel.cpp
* @copyright	2011-2012 Rohde&Schwarz, Munich
* @version		$Header: TreeViewProxyModel.h
*
* @author		Konrad Enzensberger		e.konrad@mpegcode.com
* @responsible	KOnrad Enzensberger
* 
* @language		C++ ANSI V3
*
* @history
*
*
********************************************************************************
*******************************************************************************/

/* INCLUDE FILES **************************************************************/

#include "TreeViewProxyModel.h"

#include "TreeViewModel.h"

namespace Marble
{

TreeViewProxyModel::TreeViewProxyModel( QObject *parent ) :
        QSortFilterProxyModel( parent )
{
    // nothing to do
}

bool TreeViewProxyModel::filterAcceptsRow ( int source_row, const QModelIndex &source_parent ) const
{
    Q_UNUSED( source_parent )

    if ( !sourceModel() ) {
        return false;
    }

    QModelIndex index = sourceModel()->index( source_row, 0 );
    //TreeViewModel::TreeViewItemType type = qVariantValue<TreeViewModel::TreeViewItemType>( index.data( TreeViewModel::TypeRole ) );
	//GIS::TreeViewItemType type = qVariantValue<GIS::TreeViewItemType>( index.data( TreeViewModel::TypeRole ) );
	GIS::TreeViewItemType type = (GIS::TreeViewItemType) qVariantValue<unsigned int>( index.data( TreeViewModel::TypeRole ) );
    return type == GIS::Layer || type == GIS::Group;
}

} // namespace Marble
